Skip to content

Vault automatically sends a notification to all users with system notifications enabled whenever the API limit is exceeded. Admins can also set up "threshold" limits to notify users when the daily API count is close to the limit. Learn more in Vault Help.

Vault limits the number of object records that can be created for each object (product__v, study__v, custom_object__c, etc.). There is also a limit to the number of custom objects that can be created in each Vault. To retrieve these limits:

GET/api/{version}/limits
NameDescription
Acceptapplication/json (default) or application/xml
curl -X GET -H "Authorization: {SESSION_ID}" \ https://myvault.veevavault.com/api/v19.1/limits
{ "responseStatus": "SUCCESS", "data": [ { "name": "records_per_object", "max": 1000000 }, { "name": "custom_objects", "remaining": 7, "max": 20 } ] }